data:extend({

	{
    type = "wall",
    name = "concrete-wall",
    icon = "__concrete-wall__/concrete-wall.png",
    flags = {"placeable-neutral", "player-creation"},
    collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
    selection_box = {{-1, -1}, {1, 1}},
    minable = {mining_time = 1, result = "concrete-wall"},
    fast_replaceable_group = "wall",
    max_health = 1500,
    repair_speed_modifier = 2,
    corpse = "wall-remnants",
    repair_sound = { filename = "__base__/sound/manual-repair-simple.ogg" },
    mined_sound = { filename = "__base__/sound/deconstruct-bricks.ogg" },
    vehicle_impact_sound =  { filename = "__base__/sound/car-stone-impact.ogg", volume = 1.0 },
    -- this kind of code can be used for having walls mirror the effect
    -- there can be multiple reaction items
    --attack_reaction =
    --{
      --{
        ---- how far the mirroring works
        --range = 2,
        ---- what kind of damage triggers the mirroring
        ---- if not present then anything triggers the mirroring
        --damage_type = "physical",
        ---- caused damage will be multiplied by this and added to the subsequent damages
        --reaction_modifier = 0.1,
        --action =
        --{
          --type = "direct",
          --action_delivery =
          --{
            --type = "instant",
            --target_effects =
            --{
              --type = "damage",
              ---- always use at least 0.1 damage
              --damage = {amount = 0.1, type = "physical"}
            --}
          --}
        --},
      --}
    --},
    resistances =
    {
      {
        type = "physical",
        decrease = 3,
        percent = 20
      },
      {
        type = "impact",
        decrease = 45,
        percent = 60
      },
      {
        type = "explosion",
        decrease = 10,
        percent = 30
      },
      {
        type = "fire",
        percent = 100
      },
      {
        type = "laser",
        percent = 70
      }
    },
	--Get someone to make these, can't draw
    pictures =
    {
      single =
      {
        layers =
        {
          {
            filename = "__concrete-wall__/concrete-wall.png",
            priority = "extra-high",
            width = 50,
            height = 50
          }
        }
      },
      straight_vertical =
      {
        {
          layers =
          {
            {
            filename = "__concrete-wall__/concrete-wall.png",
            priority = "extra-high",
            width = 50,
            height = 50
          }
          }
        },
       {
          layers =
          {
            {
            filename = "__concrete-wall__/concrete-wall.png",
            priority = "extra-high",
            width = 50,
            height = 50
          }
          }
        },
        {
          layers =
          {
            {
            filename = "__concrete-wall__/concrete-wall.png",
            priority = "extra-high",
            width = 50,
            height = 50
          }
          }
        }
      },
      straight_horizontal =
      {
        {
          layers =
          {
            {
              filename = "__concrete-wall__/concrete-wall.png",
              priority = "extra-high",
              width = 34,
              height = 47,
              shift = {0, -0.15625}
            }
          }
        },
        {
          layers =
          {
            {
            filename = "__concrete-wall__/concrete-wall.png",
            priority = "extra-high",
            width = 50,
            height = 50
          }
          }
        },
        {
          layers =
          {
            {
            filename = "__concrete-wall__/concrete-wall.png",
            priority = "extra-high",
            width = 50,
            height = 50
          }
          }
        }
      },
      corner_right_down =
      {
        layers =
        {
          {
            filename = "__concrete-wall__/concrete-wall.png",
            priority = "extra-high",
            width = 50,
            height = 50
          }
        }
      },
      corner_left_down =
      {
        layers =
        {
          {
            filename = "__concrete-wall__/concrete-wall.png",
            priority = "extra-high",
            width = 50,
            height = 50
          }
        }
      },
      t_up =
      {
        layers =
        {
          {
            filename = "__concrete-wall__/concrete-wall.png",
            priority = "extra-high",
            width = 50,
            height = 50
          }
        }
      },
      ending_right =
      {
        layers =
        {
          {
            filename = "__concrete-wall__/concrete-wall.png",
            priority = "extra-high",
            width = 50,
            height = 50
          }
        }
      },
      ending_left =
      {
        layers =
        {
          {
            filename = "__concrete-wall__/concrete-wall.png",
            priority = "extra-high",
            width = 50,
            height = 50
          }
          
        }
      }
    }
  }
  })